summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 20:01:59 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:59 +0200
commit3107b242283070843cf9b16c7a6595e119b81122 (patch)
tree5e5ac03d82503967d29b3d8a09804af8032de441 /system
parent2d3e9b9d88d735032e2833c54af8686562d5a70c (diff)
downloadslackbuilds-3107b242283070843cf9b16c7a6595e119b81122.tar.gz
slackbuilds-3107b242283070843cf9b16c7a6595e119b81122.tar.xz
system/gpsman: Added to 12.0 repository
Diffstat (limited to 'system')
-rw-r--r--system/gpsman/README6
-rw-r--r--system/gpsman/gpsman.SlackBuild66
-rw-r--r--system/gpsman/gpsman.info8
-rw-r--r--system/gpsman/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/system/gpsman/README b/system/gpsman/README
new file mode 100644
index 0000000000..a3e511df69
--- /dev/null
+++ b/system/gpsman/README
@@ -0,0 +1,6 @@
+GPS Manager (GPSMan) is a graphical manager of GPS data that makes possible
+the preparation, inspection and edition of GPS data in a friendly environment.
+GPSMan supports communication and real-time logging with Garmin, Lowrance and
+Magellan receivers and accepts real-time logging information in NMEA 0183 from
+any GPS receiver. GPSMan can also be used in command mode (with no graphical
+interface).
diff --git a/system/gpsman/gpsman.SlackBuild b/system/gpsman/gpsman.SlackBuild
new file mode 100644
index 0000000000..20f12fba7d
--- /dev/null
+++ b/system/gpsman/gpsman.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for gpsman
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+set -e
+
+PRGNAM=gpsman
+VERSION=6.3.2
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type f -exec chmod 0644 {} \;
+find . -type d -exec chmod 0755 {} \;
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/lib/$PRGNAM
+mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/usr/share/$PRGNAM
+
+sed -e "s/set SRCDIR gmsrc/set SRCDIR \/usr\/lib\/gpsman/" ./gpsman.tcl > $PKG/usr/lib/$PRGNAM/gpsman.tcl
+
+chmod 0755 $PKG/usr/lib/$PRGNAM/gpsman.tcl
+chmod 0755 ./util/*.tcl
+
+cp -a ./util/*.tcl $PKG/usr/lib/$PRGNAM
+cp -a ./gmsrc/*.tcl $PKG/usr/lib/$PRGNAM
+cp -a ./gmsrc/gmicons $PKG/usr/share/$PRGNAM
+cp -a ./man/man1/* $PKG/usr/man/man1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+ln -s /usr/share/$PRGNAM/gmicons $PKG/usr/lib/$PRGNAM/gmicons
+ln -s /usr/lib/$PRGNAM/gpsman.tcl $PKG/usr/bin/gpsman
+ln -s /usr/lib/$PRGNAM/dos2gpsman.tcl $PKG/usr/bin/dos2gpsman
+ln -s /usr/lib/$PRGNAM/exerciser.tcl $PKG/usr/bin/exerciser
+ln -s /usr/lib/$PRGNAM/gf2gmn.tcl $PKG/usr/bin/gf2gmn
+ln -s /usr/lib/$PRGNAM/mb2gmn.tcl $PKG/usr/bin/mb2gmn
+ln -s /usr/lib/$PRGNAM/mou2gmn.tcl $PKG/usr/bin/mou2gmn
+ln -s /usr/lib/$PRGNAM/shape2quadr.tcl $PKG/usr/bin/shape2quadr
+ln -s /usr/lib/$PRGNAM/wpsinfull.tcl $PKG/usr/bin/wpsinfull
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE manual/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/gpsman/gpsman.info b/system/gpsman/gpsman.info
new file mode 100644
index 0000000000..e358ef07f3
--- /dev/null
+++ b/system/gpsman/gpsman.info
@@ -0,0 +1,8 @@
+PRGNAM="gpsman"
+VERSION="6.3.2"
+HOMEPAGE="http://www.ncc.up.pt/gpsman/"
+DOWNLOAD="http://www.ncc.up.pt/gpsman/gpsmanhtml/gpsman-6.3.2.tgz"
+MD5SUM="dcc72b7a2a1b61f98f8432f8eb367213"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"
diff --git a/system/gpsman/slack-desc b/system/gpsman/slack-desc
new file mode 100644
index 0000000000..c6d9e51ba5
--- /dev/null
+++ b/system/gpsman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpsman: gpsman (GPS Manager)
+gpsman:
+gpsman: GPS Manager (GPSMan) is a graphical manager of GPS data that
+gpsman: makes possible the preparation, inspection and edition of GPS
+gpsman: data in a friendly environment.
+gpsman:
+gpsman:
+gpsman:
+gpsman:
+gpsman:
+gpsman: